summaryrefslogtreecommitdiff
path: root/tools/ci
diff options
context:
space:
mode:
Diffstat (limited to 'tools/ci')
-rwxr-xr-xtools/ci/scripts/runtest.sh5
-rwxr-xr-xtools/ci/scripts/runtests.sh38
2 files changed, 38 insertions, 5 deletions
diff --git a/tools/ci/scripts/runtest.sh b/tools/ci/scripts/runtest.sh
index 2c5a8a012..80b54a0ff 100755
--- a/tools/ci/scripts/runtest.sh
+++ b/tools/ci/scripts/runtest.sh
@@ -1,10 +1,5 @@
#!/bin/bash
-export SDL_VIDEODRIVER="dummy"
-ulimit -c unlimited -S
-ulimit -c unlimited
-rm -rf core*
-
./src/manaplus --renderer=0 >logs/run.log 2>&1 &
export PID=$!
sleep 12s
diff --git a/tools/ci/scripts/runtests.sh b/tools/ci/scripts/runtests.sh
new file mode 100755
index 000000000..80809fc55
--- /dev/null
+++ b/tools/ci/scripts/runtests.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+export SDL_VIDEODRIVER="dummy"
+ulimit -c unlimited -S
+ulimit -c unlimited
+rm -rf core*
+
+echo "clean config runs"
+n=0
+while true; do
+ echo "run test ${n}"
+ rm "${HOME}/.config/mana/mana/config.xml"
+ rm "/root/.config/mana/mana/config.xml"
+ ./tools/ci/scripts/runtest.sh
+ if [ "$?" != 0 ]; then
+ exit 1
+ fi
+ if [[ $n -ge 5 ]]; then
+ exit 0
+ fi
+ sleep 5s
+ n=$((n+1))
+done
+
+echo "existing config runs"
+n=0
+while true; do
+ echo "run test ${n}"
+ ./tools/ci/scripts/runtest.sh
+ if [ "$?" != 0 ]; then
+ exit 1
+ fi
+ if [[ $n -ge 5 ]]; then
+ exit 0
+ fi
+ sleep 5s
+ n=$((n+1))
+done